// cMovingObject.cpp: implementation of the cMovingObject class.
//
//////////////////////////////////////////////////////////////////////

#include "cMovingObject.h"
#include "cVector3D.cpp"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

cMovingObject::cMovingObject(){
	bMoveTo = FALSE;
}

cMovingObject::~cMovingObject(){

}

int cMovingObject::Act(int Param){
	if(bMoveTo){
		if(x < DestPos.x) x ++;
		if(x > DestPos.x) x --;
		if(y < DestPos.y) y ++;
		if(y > DestPos.y) y --;
		if(x == DestPos.x && y == DestPos.y) bMoveTo = FALSE;
	}
	return 0;
}
